package com.chenyang.nse.bussiness.enumeration;

public enum EdataSystemGrade {
   DATASYSTEM("0", "DATASYSTEM", "数据系统"),
   SCHEMA("1", "SCHEMA", "数据系统下schema"),
   TABLE("2", "TABLE", "schema下table");

   private String flag;
   private String code;
   private String systemgrade;

   private EdataSystemGrade(String flag, String code, String systemgrade) {
      this.flag = flag;
      this.code = code;
      this.systemgrade = systemgrade;
   }

   public String getFlag() {
      return this.flag;
   }

   public void setFlag(String flag) {
      this.flag = flag;
   }

   public String getCode() {
      return this.code;
   }

   public void setCode(String code) {
      this.code = code;
   }

   public String getSystemgrade() {
      return this.systemgrade;
   }

   public void setSystemgrade(String systemgrade) {
      this.systemgrade = systemgrade;
   }
}
